- Main Page
- Namespaces
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# BuddhaLib::Effect Class Reference

プログラマブルシェーダに対するパラメータの入力や、テクニックを選択することができるインターフェイス More...

`#include <BuddhaEffect.h>`

Inheritance diagram for BuddhaLib::Effect:

List of all members.

## Public Member Functions
virtual int | GetNumTechniques (void) const
| エフェクトの持つテクニックの数を取得する
virtual EffectTechnique * | GetCurrentTechnique () const
| 現在選択中のテクニックを取得する
virtual void | SetCurrentTechnique (LPCSTR name)
| カレントテクニックを選択する
virtual void | SetCurrentTechnique (String &name)
| カレントテクニックを選択する
virtual void | _setCurrentTechnique (_BuddhaHandle handle)
| カレントテクニックを選択する
virtual void | Begin (void)
| エフェクトを開始する
virtual void | End (void)
| エフェクトを開始する
virtual void | SetParameter (LPCSTR handle, const Matrix &mat)
| マトリクスを指定したパラメータにセットする
virtual void | SetParameter (LPCSTR handle, const Matrix *, unsigned int count)
| マトリクスの配列を指定したパラメータにセットする
virtual void | SetParameter (LPCSTR handle, const D3DXVECTOR4 &vec)
virtual void | SetParameter (LPCSTR handle, const Vector3 &vec)
| Vector3 の値を指定したパラメータにセットする.
virtual void | SetParameter (LPCSTR handle, const Vector4 &vec)
| Vector4 の値を指定したパラメータにセットする.
virtual void | SetParameter (LPCSTR handle, const Texture2D *tex)
| テクスチャを指定したパラメータにセットする
virtual void | SetParameter (LPCSTR handle, const float value)
| float 値を指定したパラメータにセットする
virtual void | SetParameter (LPCSTR handle, const Color &color)
| 色の値を指定したパラメータにセットする
virtual void | _commit (void)
| エフェクト開始以降に書きこんだパラメータをシェーダに送る
virtual bool | _isGpuEffect (void) const
| このエフェクトパスがプログラマブルシェーダであるかどうかを取得する
## Protected Attributes
TechniqueList | mTechniqueList
| テクニックのリスト
EffectTechnique * | m_pCurrentTechnique
| 現在のテクニックへのポインタ
bool | mIsBegan
| エフェクトの Begin() が呼び出され End() がまだ呼ばれてない状態を示すフラグ

## Detailed Description

プログラマブルシェーダに対するパラメータの入力や、テクニックを選択することができるインターフェイス

## Member Function Documentation

EffectTechnique * BuddhaLib::Effect::GetCurrentTechnique | ( |  | ) | const`[virtual]`

現在選択中のテクニックを取得する

See also:
  SetCurrentTechnique()

virtual void BuddhaLib::Effect::SetParameter | ( | LPCSTR | handle,
|  | const D3DXVECTOR4 & | vec |
| ) |  |  | `[virtual]`

D3DXVECTOR4 をパラメータにセットする

Reimplemented in BuddhaLib::GpuEffect, and BuddhaLib::HardwareEffect.

## Member Data Documentation

TechniqueList BuddhaLib::Effect::mTechniqueList`[protected]`

テクニックのリスト

Todo:
  このクラスを完全なインターフェイスにするためには、ここには不要

EffectTechnique* BuddhaLib::Effect::m_pCurrentTechnique`[protected]`

現在のテクニックへのポインタ

Todo:
  このクラスを完全なインターフェイスにするためには、ここには不要

bool BuddhaLib::Effect::mIsBegan`[protected]`

エフェクトの Begin() が呼び出され End() がまだ呼ばれてない状態を示すフラグ

Todo:
  このクラスを完全なインターフェイスにするためには、ここには不要